AbuseFilter receives wrong page name from WikiLove
Closed, ResolvedPublic

Description

When using WikiLove to send a message to user's talk page, AbuseFilter sees the edit as performed on [[API]] instead of the actual user talk page.

Example:
https://zh.wikipedia.org/wiki/Special:AbuseLog/846904?uselang=en

This edit would end up on [[User talk:Liangent-test]] but here it seems to be on [[API]]


Version: unspecified
Severity: normal

bzimport set Reference to bz45092.
Bencmq created this task.Via LegacyFeb 17 2013, 10:50 AM
liangent added a comment.Via ConduitFeb 17 2013, 11:06 AM

Change-Id: I743942822eb5097d9d98c11088a91395d9e6d47f

Nischayn22 added a comment.Via ConduitFeb 17 2013, 11:08 AM

(In reply to comment #1)

Change-Id: I743942822eb5097d9d98c11088a91395d9e6d47f

Please paste a valid URL again.

liangent added a comment.Via ConduitFeb 17 2013, 11:10 AM

(In reply to comment #2)

(In reply to comment #1)
> Change-Id: I743942822eb5097d9d98c11088a91395d9e6d47f

Please paste a valid URL again.

It's being submitted... and I had the Change-Id when this commit was created locally.

Krenair added a comment.Via ConduitFeb 18 2013, 6:47 PM
  • Bug 45128 has been marked as a duplicate of this bug. ***
Krenair added a comment.Via ConduitFeb 24 2013, 2:38 PM

Is this fixed now?

Zoglun added a comment.Via ConduitMar 21 2013, 5:09 AM

(In reply to comment #5)

Is this fixed now?

I guess the problem does not fixed, since the Mediawiki 1.20.3 was released at 2013-03-04 the [https://gerrit.wikimedia.org/r/#/c/49472/ I743942822eb5097d9d98c11088a91395d9e6d47f] was Updated at Feb 19, 2013 7:33 AM.

My wiki still got API in abuse filter log, therefore it should not been fixed.

liangent added a comment.Via ConduitMar 21 2013, 5:24 AM

(In reply to comment #7)

(In reply to comment #5)
> Is this fixed now?

I guess the problem does not fixed, since the Mediawiki 1.20.3 was released
at
2013-03-04 the [https://gerrit.wikimedia.org/r/#/c/49472/
I743942822eb5097d9d98c11088a91395d9e6d47f] was Updated at Feb 19, 2013 7:33
AM.

My wiki still got API in abuse filter log, therefore it should not been
fixed.

You should try master or a 1.21wmf* version. New bug fixes are not always backported.

liangent added a comment.Via ConduitMar 21 2013, 8:08 AM

I'm testing on core 65cbaf6369badc08dd6ca5f162209e53f76f4e22 AF 3e81fa56d6d755a99364cd7018b8cdd072ca4a25 WikiLove dce8efc9ea42cdb4ae0d066ec7e998b0de9d4c48 and confirm this bug is fixed.

Zoglun added a comment.Via ConduitMar 22 2013, 10:39 PM

Since I fix the api bug by replace ApiEditPage.php file, my LQT STOP WORKING.

LQT 1.20 stable can not leave comment, LQT lqt-updates and master ver do not even show "new messages in up right side" and show white screen in user talk page.

liangent added a comment.Via ConduitMar 23 2013, 6:28 AM

Created attachment 11975
patch for 1.20.3

Attached: 1.20.3.diff

liangent added a comment.Via ConduitMar 23 2013, 6:29 AM

(In reply to comment #10)

Since I fix the api bug by replace ApiEditPage.php file, my LQT STOP WORKING.

LQT 1.20 stable can not leave comment, LQT lqt-updates and master ver do not
even show "new messages in up right side" and show white screen in user talk
page.

If you really want to use it in 1.20... try to patch ApiEditPage.php in the way given above (completely untested)?

Zoglun added a comment.Via ConduitMar 23 2013, 6:31 AM

Ok, it looks good, LQT work as normal.

Add Comment